package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.ResourceViewTimes;
import com.lightinit.hsdataportal.entity.ResourceViewTimesExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ResourceViewTimesMapper {
    long countByExample(ResourceViewTimesExample example);

    int deleteByExample(ResourceViewTimesExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ResourceViewTimes record);

    int insertSelective(ResourceViewTimes record);

    List<ResourceViewTimes> selectByExample(ResourceViewTimesExample example);

    ResourceViewTimes selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ResourceViewTimes record, @Param("example") ResourceViewTimesExample example);

    int updateByExample(@Param("record") ResourceViewTimes record, @Param("example") ResourceViewTimesExample example);

    int updateByPrimaryKeySelective(ResourceViewTimes record);

    int updateByPrimaryKey(ResourceViewTimes record);

    int updateViewTimes(Long id);

    int insertViews(@Param("id") Long id, @Param("viewTimes") Integer viewTimes);
}